version: '3'

services:
    web:
        image: registry.dachcom.net/php:7.2
        network_mode: bridge
        links:
          - db:db.local
        volumes:
          - ./src:/var/www
        environment:
            - DOCUMENT_ROOT=/var/www/
            - VIRTUAL_HOST=php-database-basics.test

    db:
        image: mariadb:10.3
        network_mode: bridge
        environment:
          MYSQL_ROOT_PASSWORD: fdglkjfjklhdfg67
        volumes:
          - ./data/mysql:/var/lib/mysql
